## ros-eloquent-pendulum-control 0.8.4

=== debian/changelog ===
ros-eloquent-pendulum-control (0.8.4-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-pendulum-control (0.8.3-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-eloquent-pendulum-control (0.8.2-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-pendulum-control (0.8.1-1bionic) bionic; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.8.0-1bionic) bionic; urgency=high

  * Fixes to pendulum_control demo (#385)
    
    Add asserts to ensure that the latency is never negative
    
    Switch last_sample to int64_t to match new rttest interface
    
    Allow any number of spaces
    
    Make sure to expect the extra newline for the pendulum_demo
    
    Only publish statistics if they are available.
    
    Remove some unused functions from rtt_executor.hpp
  * Fix armhf build warnings (#372 <https://github.com/ros2/demos/issues/372>)
  * Contributors: Chris Lalancette, Prajakta Gokhale

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.7.6-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.7.5-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.7.4-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.7.3-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 10 May 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.7.2-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- Michael Carroll <michael@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.7.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.7.0-1bionic) bionic; urgency=high

  * Removed unused lambda capture. (#315 <https://github.com/ros2/demos/issues/315>)
  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Dropped legacy launch API usage. (#311 <https://github.com/ros2/demos/issues/311>)
  * Contributors: Emerson Knapp, Michel Hidalgo

 -- Michael Carroll <michael@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-pendulum-control (0.6.2-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Jan 2019 06:00:00 -0000

ros-eloquent-pendulum-control (0.6.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-pendulum-control (0.6.0-1bionic) bionic; urgency=high

  * Updated package maintainer. (#286 <https://github.com/ros2/demos/issues/286>)
  * Updated to match rmw_fastrtps_dynamic_cpp (#271 <https://github.com/ros2/demos/issues/271>)
  * Fixed spacing to comply with uncrusity 0.67 (#267 <https://github.com/ros2/demos/issues/267>)
  * Fixed no return code for main() in several files (#266 <https://github.com/ros2/demos/issues/266>)
  * Contributors: Dirk Thomas, Michael Carroll, Mikael Arguedas, testkit

 -- Michael Carroll <michael@openrobotics.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-pendulum-control (0.5.1-1bionic) bionic; urgency=high

  * make Mikael Arguedas the maintainer (#263 <https://github.com/ros2/demos/issues/263>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-pendulum-control (0.5.0-1bionic) bionic; urgency=high

  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Fixed the pendulum's inertia in the physic model. (#220 <https://github.com/ros2/demos/issues/220>)
  * Contributors: Dirk Thomas, Thomas de Candia, William Woodall, dhood

 -- Michael Carroll <michael@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000
